Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.command
Class FindNodeInstancesCommand

    java.lang.Object
      org.jbpm.process.audit.command.AuditCommand<List<NodeInstanceLog>>
          org.jbpm.process.audit.command.FindNodeInstancesCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<NodeInstanceLog>>, Command<List<NodeInstanceLog>>

    public class FindNodeInstancesCommand

extends AuditCommand<List<NodeInstanceLog>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.command.AuditCommand
`auditLogService`

Constructor Summary
`FindNodeInstancesCommand()`
`FindNodeInstancesCommand(long processInstanceId)`
`FindNodeInstancesCommand(long processInstanceId, String nodeId)`

Method Summary
`List<NodeInstanceLog>` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getNodeId()`
`Long` | `getProcessInstanceId()`
`void` | `setNodeId(String nodeId)`
`void` | `setProcessInstanceId(Long processInstanceId)`
`String` | `toString()`

Methods inherited from class org.jbpm.process.audit.command.AuditCommand
`setAuditLogService, setLogEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FindNodeInstancesCommand

    public FindNodeInstancesCommand()

### FindNodeInstancesCommand

    public FindNodeInstancesCommand(long processInstanceId)

### FindNodeInstancesCommand

    public FindNodeInstancesCommand(long processInstanceId,
                                    String nodeId)

Method Detail

### execute

    public List<NodeInstanceLog> execute(org.kie.internal.command.Context cntxt)

### getProcessInstanceId

    public Long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### getNodeId

    public String getNodeId()

### setNodeId

    public void setNodeId(String nodeId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.